Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7356 - Upgrading to bind-8.2.2_P3-0.5.2 (Errata) disables bind
Summary: Upgrading to bind-8.2.2_P3-0.5.2 (Errata) disables bind
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-26 19:08 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-28 13:31:01 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1999-11-26 19:08:53 UTC
There is a nasty inconsistency - the original RedHat 5.2 included
bind-8.1.2-5, that was enabled in runlevels 3,4 and 5 by default (in
included /etc/rc.d/rc{2,3,4}.d/S55named symlinks). But the errata release
of bind - binf-8.2.2_P3-0.5.2 does not have the daemon enabled by default
(it includes /etc/rc.d/rc{0,1,2,3,4,5,6}.d/K45named symlinks). As a result,
upgrading to the errata bind suddenly disables bind and even running
chkconfig does not fix it (since /etc/rc.d/init.d/named does not specify
runlevels).

Comment 1 Bernhard Rosenkraenzer 1999-11-28 13:31:59 UTC
This is because the package was originally built for 6.1 (where bind=off is the
default), and the people doing the 5.x backport overlooked it.
It'll be fixed if there will be another problem with bind, but this in itself
doesn't become a new update.

For now, change the line
# chkconfig: - 55 45
in /etc/rc.d/init.d/named to
# chkconfig: 345 55 45


Note You need to log in before you can comment on or make changes to this bug.